> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imagior.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Template Elements

> Fetches all elements of a specific design template by its ID for the authenticated user.

<Note type="warning">**Note:** This operation does not consume any account credits, but rate limits apply.</Note>

## Retrieve Elements of a Template

This endpoint fetches all elements of a specific design template by its ID for the authenticated user.

### Request

* **Endpoint**: `GET /templates/{templateId}/elements`
* **Authorization**: Bearer token required

#### Path Parameters

* `templateId` (string, required): The ID of the design template.

### Response

A successful response will return a map of element names to their properties.

#### Example Response

```json
{
   "elements": {
      "background": {
         "rx": 0,
         "ry": 0,
         "stroke": "#000000",
         "strokeWidth": 0,
         "width": 586.9018,
         "height": 759.52,
         "fill": "#ffffff",
         "scaleX": 1,
         "scaleY": 1,
         "angle": 0,
         "opacity": 1
      },
      "name": {
         "fontSize": 16,
         "fontFamily": "Montserrat",
         "lineHeight": 1,
         "text": "John Doe",
         "charSpacing": 0,
         "textAlign": "left",
         "width": 143.1548,
         "height": 18.08,
         "fill": "#333",
         "scaleX": 0.81,
         "scaleY": 0.81,
         "angle": 0,
         "opacity": 1
      },
      "line1": {
         "width": 483.4196,
         "height": 0.0482,
         "fill": "transparent",
         "scaleX": 1,
         "scaleY": 1,
         "angle": 0,
         "opacity": 1
      },
      "logo": {
         "opacity": 1,
         "src": "https://cdn.imagior.com/example.png"
      }
   }
}
```
